﻿/* Please see documentation at https://docs.microsoft.com/aspnet/core/client-side/bundling-and-minification
for details on configuring this project to bundle and minify static web assets. */

a.navbar-brand {
    white-space: normal;
    text-align: center;
    word-break: break-all;
}

/* Provide sufficient contrast against white background */
a {
    color: #0366d6;
}

.btn-primary {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

.nav-pills .nav-link.active, .nav-pills .show > .nav-link {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

/* Sticky footer styles
-------------------------------------------------- */


/*@media (min-width: 768px) {
    html {
        font-size: 16px;
    }
}*/

.border-top {
    border-top: 1px solid #e5e5e5;
}

.border-bottom {
    border-bottom: 1px solid #e5e5e5;
}

.box-shadow {
    box-shadow: 0 .25rem .75rem rgba(0, 0, 0, .05);
}

button.accept-policy {
    font-size: 1rem;
    line-height: inherit;
}

/* Sticky footer styles
-------------------------------------------------- */


.kblNoSidePadding {
    padding-right: 0px;
    padding-left: 0px;
}

.navbar-light .navbar-toggler-icon {
    background-image: url("data:image/svg+xml;charset=utf8,%3Csvg viewBox='0 0 32 32' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath stroke='rgba(0,0,0, 1)' stroke-width='3' stroke-linecap='round' stroke-miterlimit='10' d='M4 8h24M4 16h24M4 24h24'/%3E%3C/svg%3E");
    display: flex;
    width: 4vw;
}

body {
    display: flex;
    flex-direction: column;
    font-size: 0.8rem;
}

h2 {
    font-size: 1rem;
}

main {
    flex: 1;
    margin: 0,0,0,0;
    padding: 0,0,0,0;
}

.kblBlock {
    display: flex;
    border: none;
    object-fit: fill;
    object-position: center;
    justify-content: flex-end;
    width: 100%;
    height: 100%;
}

.kblBlockImg {
    max-height: 80vh;
    height: 80vh;
    display: flex;
    justify-content: flex-end;
    object-fit: cover;
    object-position: center;
    width: 50vw;
    margin-top: 0 !important;
    padding-top: 0 !important;
}

.kblBlockImgMember {
    height: 80vh;
    display: flex;
    justify-content: flex-end;
    object-fit: cover;
    object-position: center;
    width: 100%;
}

.noWidth {
    width: 100%;
    padding-right: 0;
}

.mapa {
    height: 80vh;
    width: 100%;
    padding-right: 0;
}


.memberInfo {
    height: 80vh;
    /*background-color: #8080808c;*/
}

.kblNoPadding {
    padding: 0px 0px 0px 0px;
}

ul.no-bullets {
    list-style-type: none;
    margin: 1em;
    padding: 0.1em;
}

a.kblNavLink {
    color: black;
    display: block;
    font-size: 0.8rem;
    white-space: nowrap;
}

.kblMiniMargin {
    margin: 3px;
}
/* The Modal (background) */
.modal {
    display: none; /* Hidden by default */
    position: center; /* Stay in place */
    z-index: 1; /* Sit on top */
    padding-top: 65px; /* Location of the box */
    left: 0;
    top: 0;
    width: 95%; /* Full width */
    height: 95%; /* Full height */
    overflow: hidden; /* Enable scroll if needed */
    margin-left: 2.5%;
    margin-top: 1%;
    margin-bottom: 1%;
    border: none;
    border-radius: 0;
}

.topright {
    position: absolute;
    right: 0;
    top: 0
}

/* Modal Content */
.modal-content {
    background-color: ghostwhite;
    opacity: 0.9;
    margin-top: 1.5em;
    padding: 0px;
    width: 100%;
    height: 85vh;
    border: none;
    border-radius: 0;
}

/* The Close Button */
.close {
    color: #aaaaaa;
    float: right;
    font-size: 28px;
    font-weight: bold;
}

    .close:hover,
    .close:focus {
        color: #000;
        text-decoration: none;
        cursor: pointer;
    }

.fasMenu {
    color: black;
}

/*Carousel*/
.slick-slide {
    padding-right: 0.2rem;
    padding-left: 0.2rem;
}

.slick-slide img {
    padding-right: 0.2rem;
    padding-left: 0.2rem;
   
}

.bodySize {
    height: calc(100% - (10% + 10%));
}

html {
    position: relative;
    min-height: 100%;
}

.footer {
    position: relative;
    width: 100%;
    white-space: nowrap;
    color: black;
    font-size: .7rem;
    height: 10%;
    border-top: 2px solid #000000 !important;
    margin-top: 1.5rem;    
    padding-top: 0.9rem;
    /*margin-bottom: 0.3rem*/
}

header {
    height: 10%;
    background: white;
    border-bottom: 2px solid #000000 !important;
    margin-bottom: 1.5rem;
    padding-bottom: 1rem;
    margin-top: 1.0rem;
}


html, body, footer, header {
    height: 100%;
}

@media (min-width: 800px) {
html {
    max-width: 95%;
    margin-right: 2.5%;
    margin-left: 2.5%;
    max-height: 85%;
}
    .xxs {
        height: unset;
        max-height: unset;
    }

    body {
        overflow: auto;
    }
}

 
@media (max-width: 799px) {
    html {
        max-width: 100%;
        margin-right: 1vw;
        margin-left: 1vw;
        /*max-height: 100%;*/
        width: 98vw;
    }

    .modal-content {
        margin-top: 3em;
    }

    .modal{
        width: 100vw;
        margin-left:0px;
        margin-right:0px;
        margin-right:0px;
    }

    .kblBlockImg{
        object-fit: contain;
        width: unset;
    }

    html, body, footer, header {
        height: unset;
    }

    .bodySize
    {
        height: unset;
    }

    .xxs {
        height: 80vh !important; 
        max-height: 80vh !important; 
    }
}
@media (max-height: 999px) {
    html, body, footer, header {
        height: unset;
    }
}

.blacktext{
    color: black;
}

button:focus {
    outline: 0;
}

:focus {
    outline: 0;
}

.kblPaddingRight {
    padding-right: 25px !important;
}

.memberBackground {
    background-size: cover;
    background-position: center;
    
    height: 80vh;
    width: 100%;
}

.memberInfoDesign {
    color: white;
    background-color: #8080808c;
    font-weight: 500;
}

textarea, input, .kblBtn {
    border-radius: 0 !important;
    font-size: 0.8rem !important;
}

textarea {
    height: 20vh !important;
    font-size: 0.8rem;
}

.kblBtn {
    margin-left: .2rem !important;
}

.myHidden {
    visibility: hidden
}

.loader {
    border: 16px solid #f3f3f3; /* Light grey */
    border-top: 16px solid black; /* Blue */
    border-radius: 50%;
    width: 120px;
    height: 120px;
    animation: spin 2s linear infinite;
    margin: auto;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    position: fixed;
}

@keyframes spin {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}